Bug 736368 - (ghc-shakespeare) Review Request: ghc-shakespeare - Haskell compile-time templating library
Review Request: ghc-shakespeare - Haskell compile-time templating library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 734408
  Show dependency treegraph
 
Reported: 2011-09-07 09:55 EDT by Jens Petersen
Modified: 2011-10-19 00:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-shakespeare-0.10.1.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-18 18:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Narasimhan 2011-10-07 04:37:16 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i *.rpm ../ghc-shakespeare.spec 
ghc-shakespeare.src: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
The value of this tag appears to be misspelled. Please double-check.

ghc-shakespeare.src: W: spelling-error %description -l en_US quoter -> quote, quotes, quoted
The value of this tag appears to be misspelled. Please double-check.

ghc-shakespeare.x86_64: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
The value of this tag appears to be misspelled. Please double-check.

ghc-shakespeare.x86_64: W: spelling-error %description -l en_US quoter -> quote, quotes, quoted
The value of this tag appears to be misspelled. Please double-check.

ghc-shakespeare-devel.x86_64: W: spelling-error Summary(en_US) templating -> contemplating, template, tempting
The value of this tag appears to be misspelled. Please double-check.

ghc-shakespeare-devel.x86_64: W: spelling-error %description -l en_US quoter -> quote, quotes, quoted
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming - Yes
        Version-release - Matches
        License - OK, BSD 2 clause
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD 2 clause

[+]MUST: The License field in the package spec file must match the actual license.

[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.

[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-shakespeare-0.10.0-2.fc15.src/shakespeare-0.10.0.tar.gz 
86469a9ce94805bd8984d2d64d530719  ghc-shakespeare-0.10.0-2.fc15.src/shakespeare-0.10.0.tar.gz

md5sum shakespeare-0.10.0.tar.gz 
86469a9ce94805bd8984d2d64d530719  shakespeare-0.10.0.tar.gz  

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64 and i686
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.

[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list

[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.

[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides

[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-shakespeare
error: Failed dependencies:        ghc(shakespeare-0.10.0) = f6c3e936ddc0c1c336867bc46b98c5f9 is needed by (installed) ghc-shakespeare-devel-0.10.0-2.fc16.x86_64                                                                                                                              
        ghc-shakespeare = 0.10.0-2.fc16 is needed by (installed) ghc-shakespeare-devel-0.10.0-2.fc16.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included. An email has been sent to the maintainer requesting to include LICENSE header in each of the source files
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Loaded Text.Shakespeare.Base into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is not OK. Please update to latest cabal2spec version.

APPROVED.
Comment 3 Jens Petersen 2011-10-07 04:55:26 EDT
Thanks for reviewing.


New Package SCM Request
=======================
Package Name: ghc-shakespeare
Short Description: Haskell compile-time templating library
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-10-07 08:23:14 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-10-08 05:49:53 EDT
ghc-shakespeare-0.10.1.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-shakespeare-0.10.1.1-1.fc15
Comment 6 Fedora Update System 2011-10-08 05:50:01 EDT
ghc-shakespeare-0.10.1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-shakespeare-0.10.1.1-1.fc16
Comment 7 Fedora Update System 2011-10-08 05:50:09 EDT
ghc-shakespeare-0.10.1.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-shakespeare-0.10.1.1-1.fc14
Comment 8 Fedora Update System 2011-10-08 19:33:15 EDT
ghc-shakespeare-0.10.1.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2011-10-18 18:14:17 EDT
ghc-shakespeare-0.10.1.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2011-10-18 18:16:32 EDT
ghc-shakespeare-0.10.1.1-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 11 Fedora Update System 2011-10-19 00:37:43 EDT
ghc-shakespeare-0.10.1.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.